      subroutine nf_add_attribute(ncid, vid, indx, i, nf_type, ierr)      


      use Agrif_Util
#include "Param_BeforeCall_nf_add_attribute.h"
      integer(4) :: ncid
      integer(4) :: vid
      integer(4) :: indx
      integer(4) :: ierr
      integer(4) :: i
      integer(4) :: nf_type
      

        call Sub_Loop_nf_add_attribute(ncid,vid,indx,i,nf_type,ierr, Agr
     &if_tabvars_c(18)%carray2)

      end


#include "Sub_Loop_nf_add_attribute.h"
